#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	cairo
Version		:	1.17.6
Release		:	14.4.0.0%{?dist}
Summary		:	System for layout and rendering of internationalized text
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://download.gnome.org/sources/cairo/

Source0		:	%{name}-%{version}.tar.xz
Patch0		:	%{name}-%{version}-meson-fixes.patch
#-----------------------------------------------------------------------------
BuildRequires	:	freetype-devel
BuildRequires	:	libdrm
BuildRequires	:	libpng
BuildRequires	:	libxml2
BuildRequires	:	mesa-devel
BuildRequires	:	pixman
BuildRequires	:	xorg-libXrender
BuildRequires	:	xorg-libXv

Requires	:	make-ca

#-----------------------------------------------------------------------------
%description
Pango is a library for laying out and rendering of text, with an emphasis
on internationalization. Pango can be used anywhere that text layout is needed,
though most of the work on Pango so far has been done in the context of the
GTK+ widget toolkit. Pango forms the core of text and font handling for GTK+.

Pango is designed to be modular; the core Pango layout engine can be used
with different font backends.

The integration of Pango with Cairo provides a complete solution with high
quality text handling and graphics rendering.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}*
%{_libdir}/lib%{name}.so.*
%{_libdir}/lib%{name}-script-interpreter.so.*

#=============================================================================
%package		devel
Summary		:	Development files for cairo

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
Cairo is a 2D graphics library designed to provide high-quality display
and print output.
This package contains libraries, header files and developer documentation
needed for developing software which uses the cairo graphics library.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-, root,root, -)
%doc ChangeLog PORTING_GUIDE
%{_includedir}/%{name}/%{name}.h
%{_includedir}/%{name}/%{name}-deprecated.h
%{_includedir}/%{name}/%{name}-features.h
%{_includedir}/%{name}/%{name}-ft.h
%{_includedir}/%{name}/%{name}-gl.h
%{_includedir}/%{name}/%{name}-pdf.h
%{_includedir}/%{name}/%{name}-ps.h
%{_includedir}/%{name}/%{name}-script-interpreter.h
%{_includedir}/%{name}/%{name}-svg.h
%{_includedir}/%{name}/%{name}-tee.h
%{_includedir}/%{name}/%{name}-version.h
%{_includedir}/%{name}/%{name}-xlib-xrender.h
%{_includedir}/%{name}/%{name}-xlib.h
%{_includedir}/%{name}/%{name}-script.h
%{_includedir}/%{name}/%{name}-xcb.h
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-script-interpreter.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-egl.pc
%{_libdir}/pkgconfig/%{name}-fc.pc
%{_libdir}/pkgconfig/%{name}-ft.pc
%{_libdir}/pkgconfig/%{name}-gl.pc
%{_libdir}/pkgconfig/%{name}-glx.pc
%{_libdir}/pkgconfig/%{name}-pdf.pc
%{_libdir}/pkgconfig/%{name}-png.pc
%{_libdir}/pkgconfig/%{name}-ps.pc
%{_libdir}/pkgconfig/%{name}-svg.pc
%{_libdir}/pkgconfig/%{name}-tee.pc
%{_libdir}/pkgconfig/%{name}-xlib.pc
%{_libdir}/pkgconfig/%{name}-xlib-xrender.pc
%{_libdir}/pkgconfig/%{name}-script.pc
%{_libdir}/pkgconfig/%{name}-script-interpreter.pc
%{_libdir}/pkgconfig/%{name}-xcb-shm.pc
%{_libdir}/pkgconfig/%{name}-xcb.pc
%{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}/style.css
 
#=============================================================================
%package		gobject
Summary		:	GObject bindings for cairo

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}
#-----------------------------------------------------------------------------
%description		gobject
Cairo is a 2D graphics library designed to provide high-quality display
and print output.
 
This package contains functionality to make cairo graphics library
integrate well with the GObject object system used by GNOME.

#-----------------------------------------------------------------------------
%files			gobject
%defattr(-, root,root, -)
%{_libdir}/lib%{name}-gobject.so.*

#=============================================================================
%package		gobject-devel
Summary		:	Development files for cairo-gobject

#-----------------------------------------------------------------------------
Requires	:	%{name}-devel	= %{version}-%{release}
Requires	:	%{name}-gobject	= %{version}-%{release}
#-----------------------------------------------------------------------------
%description		gobject-devel
Cairo is a 2D graphics library designed to provide high-quality display
and print output.
 
This package contains libraries, header files and developer documentation
needed for developing software which uses the cairo Gobject library.

#-----------------------------------------------------------------------------
%files			gobject-devel
%defattr(-, root,root, -)
%{_includedir}/%{name}/%{name}-gobject.h
%{_libdir}/lib%{name}-gobject.so
%{_libdir}/pkgconfig/%{name}-gobject.pc

#=============================================================================
%package		tools
Summary		:	Development tools for cairo

#-----------------------------------------------------------------------------
%description		tools
Cairo is a 2D graphics library designed to provide high-quality display
and print output.
 
This package contains tools for working with the cairo graphics library.
 * cairo-trace: Record cairo library calls for later playback

#-----------------------------------------------------------------------------
%files			tools
%defattr(-, root,root, -)
%{_bindir}/%{name}-trace
%{_libdir}/%{name}/lib%{name}-*.so*

#=============================================================================
%prep
%setup -q
%patch0 -p1

#-----------------------------------------------------------------------------
#building application
%build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	--buildtype=release				\
	-D freetype=enabled				\
	-D fontconfig=enabled				\
	-D glib=enabled					\
	-D gl-backend=gl				\
	-D gtk_doc=true					\
	-D spectre=disabled				\
	-D symbol-lookup=disabled			\
	-D tee=enabled					\
	-D tests=disabled				\
	-D xcb=enabled					\
	-D xlib=enabled					\
	-D xml=disabled					\
	build

meson							\
	compile						\
	-C build


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C build

	
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
